Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2735 - Source RPM build problems
Summary: Source RPM build problems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
: 2881 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-11 14:39 UTC by mck
Modified: 2015-01-07 23:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-16 20:31:18 UTC


Attachments (Terms of Use)

Description mck 1999-05-11 14:39:35 UTC
cdp-0.33-12
misapplied patch.  "%patch2 -p1" => "%patch2 -p0"

cxhextris-1.0-15
bad patch (Patch2: cxhextris-security.patch)

esound-0.2.12-4
misapplied patch
"%patch -p1 -b .sparc" => "%patch -p0 -b .sparc"

exmh-2.0.2-12
installs file in final locations during build

faq-6.0-1
fails attempting to strip non-binary file

gimp-1.0.4-3
fails attempting to strip non-binary file

joe-2.8-18
misapplied patch
"%patch4 -p1 -b .locale" => "%patch4 -p0 -b .locale"

man-1.5g-2
bad patch (man-1.5e-rhpath.patch)

metamail-2.7-20
fails attempting to strip non-binary file

setuptool-1.2-2
installs /usr/lib/rhs/setup/setup.pyc during build
script fails because ./po directory is empty

sgml-tools-1.0.9-2
requires SGMLTools.pm which the package itself installs

sh-utils-1.16-23
fails attempting to strip non-binary file

svgalib-1.3.1-5
removes installed files during build

sh-utils-1.16-23
fails attempting to strip non-binary file

strace-3.1-17
misapplied patch
"%patch14 -p1 -b .clone" => "%patch14 -p0 -b .clone"

tmpwatch-1.7-1
fails attempting to strip non-binary file

xbill-2.0-6
fails attempting to strip non-binary file

xmorph-1996.07.12-7
bad patch (xmorph-11sep97-make.patch)

zsh-3.1.4-2
makeinfo fails on ./zsh.texi
I got this one to build by patching zsh.texi but it should
be noted that this package built successfully with an
earlier version of makeinfo.

There are several other failures which I haven't been able
to fully analyze yet.

Comment 1 Bill Nottingham 1999-05-11 18:08:59 UTC
How are you trying to rebuild these (on what sort of system,
etc)?  The few I've tried so far work fine with rpm --rebuild...

------- Email Received From  Michael McKernan <mck@tivoli.mv.com> 05/11/99 16:15 -------


------- Email Received From  Michael McKernan <mck@tivoli.mv.com> 05/11/99 21:11 -------


------- Email Received From  Michael McKernan <mck@tivoli.mv.com> 05/12/99 09:20 -------


------- Email Received From  Michael McKernan <mck@tivoli.mv.com> 05/12/99 11:12 -------

Comment 2 Jeff Johnson 1999-05-16 20:31:59 UTC
I've rebuilt (misapplied means that %patchN had a wrong -p arg
that happened to work)
	cdp-0.33-12
	esound-0.2.12-4
	joe-2.8-18
	strace-3.1.17

I've changed the patches in (bad patch means contents not all relative
to same directory)
	cxhextris-1.0-15
	xmorph-1996.07.12-7

And I will make sure (as soon as I can get on an i386) that
svgalib doesn't remove binaries while building.

Dunno what the man-1.5g "bad patch" is -- looks fine to me,
although it is applied after running configure.

Comment 3 Bill Nottingham 1999-05-17 19:13:59 UTC
*** Bug 2881 has been marked as a duplicate of this bug. ***

Running rpm -bs on .spec file which contains
BuildArchitectures: noarch (e.g. timetool.spec from
timetool-2.5-5.src.rpm) causes error "Segmentation fault
(core dumped)". rpm -bb works OK. RH 6.0, rpm-3.0-6.0.

Comment 4 Kolar, Petr 1999-05-24 11:59:59 UTC
The bug originaly number 2881 is neither RESOLVED nor FIXED.
I think if the bug #2881 was attached to the bug #2735, the
bug #2735 also is not fixed yet.


Note You need to log in before you can comment on or make changes to this bug.